package net.mkonrad.synes.gui.style;

import javax.vecmath.Color3f;

public class Colors
{
  public final static Color3f red = new Color3f(1.0f, 0.0f, 0.0f);
  public final static Color3f blue = new Color3f(0.0f, 0.1f, 0.4f);
  public final static Color3f brightBlue = new Color3f(0.0f, 0.2f, 0.9f);
  public final static Color3f green = new Color3f(0.0f, 0.5f, 0.1f);
  public final static Color3f brightGreen = new Color3f(0.0f, 0.9f, 0.2f);
  public final static Color3f medRed = new Color3f(0.8f, 0.4f, 0.3f);
  public final static Color3f black = new Color3f(0.0f, 0.0f, 0.0f);
  public final static Color3f white = new Color3f(1.0f, 1.0f, 1.0f);
  public final static Color3f cream = new Color3f((float)(241f/255f), (float)(234/255f), (float)(218/255f));
  public final static Color3f grey = new Color3f(0.7f, 0.7f, 0.7f);
  public final static Color3f yellow = new Color3f(1.0f, 1.0f, 0.0f);
  public final static Color3f purple = new Color3f((float)(195/255f), (float)(106/255f), (float)(143/255f));
  public final static Color3f orange = new Color3f((float)(223/255f), (float)(148/255f), (float)(36/255f));
  public final static Color3f turquoise = new Color3f((float)(76/255f), (float)(227/255f), (float)(170/255f));
  
  public final static Color3f background = black;
  public final static Color3f graphLines = white;
  public final static Color3f seqLayer = white;
  public final static Color3f seqLayerBorders = black;
  public final static Color3f synthLayer = white;
  public final static Color3f synthLayerBorders = black;
  public final static Color3f text = white;
  public final static Color3f textBorders = white;
  public final static Color3f importantText = green;
  public final static Color3f ambientLight = white;
  public final static Color3f directionalLight = white;
  public final static Color3f ground = white;
  public final static Color3f groundBorders = white;
  public final static Color3f defInstrColor = medRed;
}

